@Echo Off
rem Housti.bat - (c) 2006, Airelle http://rlwpx.free.fr/WPFF/
rem Installation des fichiers Houst!

If Not Exist Hosts Goto FIN
If Not %winbootdir%'==' Set dirh=%windir%
If %OS%'==Windows_NT' Set dirh=%SystemRoot%\system32\drivers\etc
If %dirh%'==' Goto FIN

Attrib %dirh%\hosts.* -a -r -h -s

Set h1=%dirh%\hosts.1
Set hbat=%dirh%\hosts.bat
Set hori=%dirh%\hosto.bat
Set hoff=%dirh%\hosts.off
Set hold=%dirh%\hosts.old
Set hon=%dirh%\hosts.on
Set host=%dirh%\hosts

If Not Exist %hold% Copy %host% %hold%
Echo o|Copy hosts %host%
Echo o|Copy hosts.1 %h1%
Echo o|Copy hosts %hon%
Echo o|Copy hosts.off %hoff%
Echo o|Copy housts.bat %hbat%
Echo o|Copy housto.bat %hori%

Attrib %dirh%\hosts.* -a +r +h

:FIN
Exit